Package org.springframework.cglib.proxy

# Interface Dispatcher

All Superinterfaces:
  `Callback`

public interface Dispatcher extends Callback
Dispatching `Enhancer` callback. This is identical to the `LazyLoader` interface but needs to be separate so that `Enhancer` knows which type of code to generate.

## Method Summary

Modifier and Type
Method
Description
`Object`
`loadObject()`
Return the object which the original method invocation should be dispatched.

## Method Details

### loadObject

Object loadObject() throws Exception
Return the object which the original method invocation should be dispatched. This method is called for every method invocation.

Returns:
  an object that can invoke the method
Throws:
  `Exception`